unit Unit15681;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DB, ADODB;

type
  TForm1 = class(TForm)
    conn: TADOConnection;
    ql: TADOQuery;
    bConn: TButton;
    procedure bConnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.bConnClick(Sender: TObject);
begin
  try
    conn.Open();
    ql.SQL.Text := 'DROP TABLE IF EXISTS tab15681';
    ql.ExecSQL();
    ql.SQL.Text := 'CREATE TABLE `tab15681`(`id` int unsigned auto_increment primary key, `dt_col` datetime NOT NULL default ''0000-00-00 00:00:00'')';
    ql.ExecSQL();

    ql.SQL.Text := 'insert into tab15681 (dt_col) values (:pDate)';
    ql.Parameters.ParamByName('pDate').DataType := ftDateTime;
    ql.Parameters.ParamByName('pDate').Value := Now();
    ql.ExecSQL();
    conn.Close();
  except
   on E: Exception do MessageDlg(E.Message, mtError, [mbOk], 0);
  end;
end;

end.
